# JProperties Printer, Representation & Format Configuration
#
# Embosser: Default
# Version 2 Rev. 1 (19-09-25)
#
# Description:
# This is the default configuration file for the braille plot application.
# The configuration specifies the default values of required properties.
#
# https://gitlab.hrz.tu-chemnitz.de/s9444737--tu-dresden.de/brailleplot/wikis/Software%20Design#configuration-files
# =============================================================================

# ATTENTION:    Changes to this configuration will affect settings for ALL printer and format definitions which
#               are not overriding the defaults.

printer.mode=normalprinter
printer.floatingDot.support=false
# Semantic Table: LibLouis String -> 6-Dot
printer.semantictable=../mapping/kurzschrift_DE.properties
# Braille (Output Encoding) Table: 6-Dot -> Octet-Stream
printer.brailletable=../mapping/eurobraille.properties

# The following values represent the fixed indentation and maximum technical printing area of the embosser.
# If the outputs don't fit on the page you might want to tweak this values. (Check the format too.)
printer.constraint.top=0
printer.constraint.left=0
# The second constraint in the printer.raster namespace helps to limit the available printing area in steps of
# whole cells, for example if the printer enforces a maximum char per line limit or borders are activated.
printer.raster.constraint.top=0
printer.raster.constraint.left=0

# Overall grid layout / type
printer.raster.type=6-dot

# The following properties define the exact grid spacing. Standard values based on the
# 'Marburg Medium' publication standard as described in the FFI braille technical guideline:
# https://www.ffi.de/assets/Uploads/Technische-Richtlinie-Blindenschrift.pdf
# See also: # https://codes.iccsafe.org/content/ICCA117_12003/chapter-7-communication-elements-and-features#ICCA117.1_2003_Ch07_Sec703
printer.raster.cellDistance.horizontal=3.5
printer.raster.cellDistance.vertical=5.0
printer.raster.dotDistance.horizontal=2.5
printer.raster.dotDistance.vertical=2.5
printer.raster.dotDiameter=1.5


### Format Definitions
### ==================

# Default Format Definition (assume A4 portrait)
format.default.page.width=210
format.default.page.height=297
format.default.margin.top=0
format.default.margin.left=5
format.default.margin.bottom=0
format.default.margin.right=0

### Diagram Formatting
### ==================

representation.general.brailleLanguage=DE_BASISSCHRIFT
representation.general.nonexistentDataText=n/a
representation.general.legendKeyword=Legende:
representation.general.maxTitleHeight=2
representation.rasterize.barChart.maxBarThickness=3
representation.rasterize.barChart.minBarThickness=1
representation.rasterize.barChart.padding.title=0
representation.rasterize.barChart.padding.caption=1
representation.rasterize.barChart.padding.groups=2
representation.rasterize.barChart.padding.bars=1

# This is a template. Do not define concrete formats in this file. Use the specific user config file for this purpose.